#pragma once
#include "Entity.h"
#define CS_MASROANI_CREATENAME L"CS_masro_animate"
class CS_MasroAni :
    public Entity
{
public:
    CS_MasroAni();
    void Step();
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int act_no = 0;
    int ani_wait = 0;
    int act_wait = 0;
    int stateID = 0;
};

std::shared_ptr<Entity> CreateCS_MasroAni();